#
# spec file for package xf86-video-neomagic
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xf86-video-neomagic
Version:        1.3.1
Release:        1.8
Summary:        Neomagic video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
Supplements:    modalias(xorg-x11-server:pci:v000010C8d*sv*sd*bc03sc*i*)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
neomagic is an Xorg driver for Neomagic video cards found in many laptop
computers.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/neomagic_drv.so
%{_datadir}/man/man4/neomagic.4%{?ext_man}

%changelog
* Mon Apr 10 2023 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.3.1
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * gitlab CI: stop requiring Signed-off-by in commits
  * NEOGetRec: Fix -Wmisleading-indentation warning
  * NEOPreInit: Handle -Wimplicit-fallthrough warning
  * Use fabs() instead of abs() on double value.
* Sat Jan  5 2019 sndirsch@suse.com
- Update to version 1.3.0
  * This is a maintenance release of NeoMagic DDX for X.Org X Server.
    No testing has been done due to the lack of equipment availability.
* Fri May  8 2015 sndirsch@suse.com
- Update to version 1.2.9
  * Use own thunk functions instead of vgaHW*Weak
  * neomagic: fix build against master X server.
  * Fix compiler warning with recent X servers
- deprecates U_neomagic-fix-build-against-master-X-server.patch
* Fri Feb  6 2015 sndirsch@suse.com
- U_neomagic-fix-build-against-master-X-server.patch
  * fixes build against xorg-server 1.17
* Sat Aug 17 2013 zaitor@opensuse.org
- Update to version 1.2.8:
  + Unbreak shadowfb initialization with modern X servers.
  + Remove mibstore.h.
  + Don't check for unneeded proto headers.
  + Remove uses of xf86PciInfo.h.
  + Add &component=Driver/Neomagic to Bugzilla link.
  + Don't call NEO_Sync with no XAA.
- Drop U_Remove-mibstore.h.patch, fixed upstream.
- Drop pkgconfig(fontsproto), pkgconfig(randrproto),
  pkgconfig(renderproto), pkgconfig(videoproto),
  pkgconfig(xextproto), pkgconfig(xf86dgaproto),
  pkgconfig(xproto) and pkgconfig(pciaccess) BuildRequires
  following upstream changes.
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Thu Mar 21 2013 sndirsch@suse.com
- Add mibstore.patch, fixes build with xorg-server 1.14
* Wed Mar 20 2013 sndirsch@suse.com
- introduce hardware supplements conditional on xorg-x11-server
  package (bnc#810333)
* Sun Sep  2 2012 zaitor@opensuse.org
- Update to version 1.2.7:
  + Fix build when XAA is unavailable.
  + Port to new compat API.
* Fri Jun  1 2012 sndirsch@suse.com
- remove hw supplements (bnc#764395)
* Wed May 23 2012 crrodriguez@opensuse.org
- Use "Supplements" to make the package manager pick
  the driver when the user has the proper hardware.
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 1.2.6:
  + Fix for new vgahw ABI
  + Fall back to shadowfb when XAA is unavailable
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-neomagic from xorg-x11-driver-video.
  Initial version: 1.2.5.
